Subject: Re: bug#21333: 25.0.50; window-size-change-functions not called after mini-window resize

From: martin rudalics <[email-masked]>
Date: Fri, 28 Aug 2015 12:51:28 +0200

>>   > That was confusing.  Let me rephrase: Emacs only reads subprocess
 >>   > input or runs timers when it's idle, so these events are only possible
 >>   > after some command finishes, and Emacs gets back to its command loop.
 >>
 >> Obviously.  My point was that ‘post-command-hook’ won't catch these.
 >
 > Are you sure you aren't making some incorrect assumptions about the
 > exact place where the command loop calls post-command-hook?  What if
 > it is called immediately after processing the above events?

I don't understand.  We don't call ‘post-command-hook’ when resizing a
window gets triggered by a timer.  The only way an application can react
to such a resize is currently either via ‘pre-redisplay-function’ or via
‘window-size-change-functions’.

martin